﻿<%@ WebHandler Language="C#" Class="Robots" %>
using System.Web;

public class Robots : IHttpHandler
{
  public void ProcessRequest(HttpContext context)
  {
    // получение текущего объекта HttpResponse
    HttpResponse response = context.Response;

    // задание нужного типа контента
    response.ContentType = "text/plain";

    // добавление динамических элементов исключения
    response.Write("User-agent: * \n");
    response.Write("Disallow: /Link-Juice-Print-Friendly.html \n");
    response.Write("Disallow: /Fortune-Cookie-Print-Friendly.html \n");

    // добавление статических данных исключения из robots_static.txt
    context.Response.WriteFile("~/robots_static.txt");
  }

  public bool IsReusable
  {
    get { return false; }
  }
}