﻿/// <summary>
/// Структура для представления службы социальных закладок
/// </summary>

public struct Social
{
  // приватные члены
  private string name;
  private string imageFile;
  private string url;

  // свойства
  public string Name
  {
    get { return name; }
  }

  public string ImageFile
  {
    get { return imageFile; }
  }

  public string Url
  {
    get { return url; }
    set { url = value; }
  }

  // конструктор, инициализирующий члены структуры
  public Social(string name, string imageFile, string url)
  {
    this.name = name;
    this.imageFile = imageFile;
    this.url = url;
  }
}