﻿<%@ Page Language="C#" %>
<%@ Register Src="UserControls/SimpleCaptcha.ascx" TagName="SimpleCaptcha" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
  // отправка комментария при щелчке посетителя на кнопке Отправить
  protected void submitButton_Click(object sender, EventArgs e)
  {
    // продолжаем только если посетитель ввел комментарий
    if (commentTextBox.Text.Trim() == "")
    {
      feedbackLabel.Text = "Введите комментарий.";
    }
    else if (!simpleCaptcha.CheckAnswer())
    {
      feedbackLabel.Text = "Неверно!";
    }
    else
    {
      feedbackLabel.Text = "Спасибо за ваш комментарий!";
      commentTextBox.Text = "";
      // ... код добавления комментария в базу данных ...
    }
  }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Профессиональная поисковая оптимизация в ASP.NET</title>
</head>
<body>
  <form id="Form1" runat="server">
    <h1>Тестирование Captcha</h1>
    <p>
      Введите комментарий:
      <br />
      <asp:TextBox ID="commentTextBox" Width="400" Rows="5" 
                   TextMode="MultiLine" runat="server" />
    </p>
    <p>
      <uc1:SimpleCaptcha ID="simpleCaptcha" runat="server" />
    </p>
    <p>
      <asp:Button ID="submitButton" runat="server" 
                  Text="Отправить" OnClick="submitButton_Click" />
    </p>
    <p>
      <asp:Label ForeColor="Red" ID="feedbackLabel" runat="server" />
    </p>
  </form>
</body>
</html>