﻿<%@ Application Language="C#" %>
<script runat="server">
  void Application_BeginRequest(object sender, EventArgs e)
  {
    // получение текущего объекта HttpContext
    HttpContext context = HttpContext.Current;

    // получение текущего местоположения
    string currentLocation = context.Request.Path.ToLower();

    // подмена /my-super-product.aspx
    if (currentLocation == "/my-super-product.aspx")
    {
      context.RewritePath("~/Product.aspx?ProductID=SUPER");
      return;
    }
  }

  void Application_Start(object sender, EventArgs e) 
  {
    // Code that runs on application startup
  }

  void Application_End(object sender, EventArgs e) 
  {
    //  Code that runs on application shutdown
  }

  void Application_Error(object sender, EventArgs e) 
  { 
    // Code that runs when an unhandled error occurs
  }

  void Session_Start(object sender, EventArgs e) 
  {
    // Code that runs when a new session is started
  }

  void Session_End(object sender, EventArgs e) 
  {
    // Code that runs when a session ends. 
    // Note: The Session_End event is raised only when the sessionstate mode
    // is set to InProc in the Web.config file. If session mode is set to StateServer 
    // or SQLServer, the event is not raised.
  }
</script>
