﻿<%@ Page Language="C#" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
  protected void Page_Load(object sender, EventArgs e)
  {
    // вывод информации о партнере
    HttpCookie affiliate = Request.Cookies["AffiliateID"];
    affiliateDisplay.Text = "Вы попали сюда через партнера: " +
      ((affiliate == null) ? "(нет партнера)" : affiliate.Value);

    // выборка ID продукта и ID категории из строки запроса
    string productId = Request.QueryString["ProductID"];
    string categoryId = Request.QueryString["CategoryID"];

    // использование productId для настройки содержимого страницы
    if (productId != null && categoryId == null)
    {
      // формирование заголовка страницы
      this.Title += ": Продукт " + productId;
      // вывод информации о продукте
      message.Text =      
        String.Format("Вы выбрали продукт №{0}. Неплохо!", productId);      
    }
    // использование productId и categoryId для настройки содержимого страницы 
    else if (productId != null && categoryId != null)
    {
      // формирование заголовка страницы
      this.Title += 
        String.Format(": Продукт {0}: Категория {1}", productId, categoryId);

      // вывод информации о продукте
      message.Text =      
        String.Format("Вы выбрали продукт №{0} в категории №{1}. Неплохо!", 
        productId, categoryId);
    }
    else
    {
      // вывод чего-то еще
      message.Text = "Выберите продукт из нашего каталога.";
    }

  }

  protected void myButton_Click(object sender, EventArgs e)
  {
    message.Text += "<br />Вы щелкнули на кнопке!";
  }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
  <title>Магазин ASP.NET SEO</title>
</head>
<body>
  <form id="form1" runat="server">
    <asp:Literal runat="server" ID="message" />
    <asp:Button ID="myButton" runat="server" Text="Щелкни здесь!" 
        onclick="myButton_Click" />
    <p>
      <asp:Literal runat="server" ID="affiliateDisplay" />
    </p>
  </form>
</body>
</html>