﻿<%@ WebHandler Language="C#" Class="BooksFeed" %>

using System;
using System.Web;
using RssToolkit;

// Class для генерации RSS-канала
public class BooksFeed : GenericRssHttpHandlerBase 
{
  protected override void PopulateChannel(string channelName, string userName)
  {
    // информация о канале; см. http://blogs.law.harvard.edu/tech/rss 
    Channel["title"] = "Грядущие статьи Кристиана Дари";
    Channel["link"] = "http://www.cristiandarie.ro/forthcoming/";
    Channel["description"] = "Информация о грядущих книгах Кристиана, обновляется ежемесячно";
    Channel["ttl"] = "10000"; // время кэширования контента в минутах

    // обобщенный элемент RSS 
    GenericRssElement item;

    // добавление элемента RSS
    item = new GenericRssElement();
    item["title"] = "Основы Microsoft ASP.NET AJAX";
    item["description"] = "Пошаговое руководство по созданию приложений Web 2.0 с помощью библиотеки Microsoft AJAX и расширенй ASP.NET AJAX.";
    item["link"] = "http://www.cristiandarie.ro/microsoft-ajax-1/";
    Channel.Items.Add(item);

    // добавление элемента RSS
    item = new GenericRssElement();
    item["title"] = "Таинственная книга";
    item["description"] = "Загадочная статья о сложности жизни с доказательством, что ответ на вопрос о Жизни, Вселенной и Всем остальном НЕ равен 42.";
    item["link"] = "http://www.cristiandarie.ro/mystery/";
    Channel.Items.Add(item);

    // добавление элемента RSS
    item = new GenericRssElement();
    item["title"] = "Миллион случайных цифр с 100000 нормальных отклонений";
    item["description"] = "Данная книга не выйдет из печати, и она не написана Кристианом Дари, но он жалеет, что эта идея не пришла ему в голову первому.";
    item["link"] = "http://www.amazon.com/dp/0833030477/";
    Channel.Items.Add(item);
  }
}