﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
  protected void Page_Load(object sender, EventArgs e)
  {
    // при необходимости – обновление базы данных маскирования
    bool wasUpdated = Cloak.UpdateAll();

    // проверка, является ли пауком текущий клиент
    SpiderMatch confidence = Cloak.IsSpider();

    // вывод результатов
    message.Text = wasUpdated ?
      "База данных маскирования обновлена. " :
      "База данных маскирования не обновлена. ";

    message.Text += (confidence == SpiderMatch.NoMatch) ?
      "А вы не поисковый агент." :
      "Да вы поисковый агент (уверенность: " + confidence + ")!";
  }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
  <title>Проверка маскирования</title>
</head>
<body>
  <form id="form1" runat="server">
    <asp:Literal runat="server" id="message" />
  </form>
</body>
</html>