﻿<%@ Page Language="C#" %>
<%@ Import Namespace="System.Net" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
  protected void Page_Load(object sender, EventArgs e)
  {
    // первоначальный URL 
    string url = "http://www.seoegghead.com/does_not_exist.html";
    myOutput.Text = "URL: " + url;

    // создание объекта запроса
    HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);

    // выборка содержимого
    try
    {
      // чтение URL
      HttpWebResponse linkResponse = (HttpWebResponse)request.GetResponse();

      // получение кода состояния для адреса назначения
      int statusCode = (int)linkResponse.StatusCode;
      string statusDescription = linkResponse.StatusDescription;

      // вывод информации
      myOutput.Text += "<br />Status code: " + statusCode;
      myOutput.Text += "<br />Status description: " + statusDescription;
    }
    catch (WebException ex)
    {
      myOutput.Text += "<br />Ошибка: " + ex.Message;      
    }
  }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Проверка тестера ссылок</title>
</head>
<body>
  <form id="form1" runat="server">
    <div>
      <asp:Literal runat="server" ID="myOutput" />
    </div>
  </form>
</body>
</html>
